Welcome

Thank you for using DBI Staff Scheduler Version 2.5. DBI Staff Scheduler is a visually intuitive Employee/Staff Scheduling application. DBI Staff Scheduler is not aimed at the technical end user, but rather the businessperson who is looking for a no-nonsense, straightforward tool to assist them with the day-to-day scheduling of their staff combined with labor cost management.


Notices

Please Note

DBI reserves the right to change any and all Information contained within this guide and all associated web site references, without notice. The examples contained herein are meant to be fictitious. Any reference to actual people, company, organizations or products is coincidental and is not intended.

The user of this product assumes the obligations of use under existing copyright laws. The information contained within this document is the sole property of DBI and reproduction or distribution of any kind is strictly forbidden without the written consent of DBI Technologies Inc.

DBI reserves the right to modify, upgrade, correct our software programs and publications without notice and assumes no liability in that event.

2004 DBI Technologies Inc.

Published by DBI Technologies Inc.
702-44 Princess Street
Winnipeg, Manitoba, Canada
R3B 1K2

Sales phone: 1.800.670.8045

Sales email: Sales@dbi-tech.com

Support email: Support@dbi-tech.com

Web: http://www.dbi-tech.com

http://www.staff-scheduler.com

Copyright © DBI Technologies Inc. All rights reserved.

Documentation produced January 2004.


A Staff Scheduler Primer

Before you begin using DBI Staff Scheduler, it might be helpful to go over a number of important scheduling concepts as well as some of the powerful features you will find available to you.


Schedule Plan

It is important to note that DBI Staff Scheduler differentiates between a Schedule Plan and the actual schedule. The schedule, as reported by the software, is the sum total of all of the plans contained within the database. Think of a Schedule Plan as a worksheet, it is where you set up a schedule for a defined period of time for a defined group of departments/staff/positions. The schedule plan allows you to do your “what if” scenarios, add, delete and modify until you feel you have completed the schedule planning phase. At this point you can select “View Plan” from the main menu to view the schedule specific to the schedule plan.

NOTE: You can optionally print the plan from the View Plan form.

It is important to note all of the other scheduling functionality in the system, i.e. schedule reports (7-Day, 28-Day), hourly reports, cost report, emailing and printing of schedules is based on all of the schedule plans that include the period of time defined by the activity. For example, when emailing staff schedules the schedule sent to the staff member is obtained from all of the schedule plans that have been created for the period of time defined in the Email Staff Schedules Start and End dates.

It might be easier to think of the schedule as the output of all of the schedule plan(s).


Labor Cost Management (Labor Burden)

Labor cost management within dbi Staff Scheduler is achieved as the result of capturing a daily projected revenue budget and comparing it to the number of hours scheduled multiplied by the hourly cost associated with each staff member scheduled to work.

NOTE: Positions that have unassigned time bars (i.e. no staff member assigned to them) have a zero cost associated with them for the purpose of calculating the labor burden.

At a system level you define your target labor cost which represents the maximum percentage of your budgeted revenue you want to spend on labor (see Maintenance – System). For example if the budgeted revenue for a day is $10,000.00 and your target labor cost is 20% then the sum of all the scheduled staff hours multiplied by their respective hourly costs (as captured in the individual’s staff profile) could not exceed $2,000.00 (20% of $10,000.00). The hourly cost for each staff member is captured in each Staff Member’s profile (see Maintenance – Staff). The projected daily revenue to be used in the labor burden calculation is captured in the Revenue Budget form (see Maintenance – Revenue Budget).

Labor burden is reported in the Staff Cost report or in the Budget list in the List View object in the main schedule planning form. When viewing the Budget list in the main schedule planning form the labor burden is updated in real time as time bars are created, assigned, changed/moved, and deleted.

NOTE: The Target Labor Cost is displayed at the top of the budget list and each day in the list displays the actual labor cost as a function of the number of scheduled/assigned hours for that day relative to the projected revenue for the day. If the labor burden exceeds the target labor cost then the day is represented in red in the list. The total labor burden for the period of time defined by the schedule plan is reflected in the last line of the budget list.

NOTE: When calculating the cost for a schedule that ends on or before 8:00 am on its last day, the hours before 8:00 am are calculated into the previous day’s cost. For example, in the schedule plan above, the schedule ends on Monday, December 15th 2003,at 8:00am. Therefore, the budget only reflects up to Sunday, December 14th, and any time worked after midnight on the Sunday is budgeted against Sunday’s revenue.

NOTE: When calculating the cost for a staff member, if the time bar starts on or before midnight on a given day, the entire time bar is budgeted against the start day’s revenue. For example, if a staff member starts their shift at 11:00 pm on a given day and ends at 3:00 am on the next day, the entire 4 hours is budgeted against the start day’s revenue.

NOTE: The scroll bar at the bottom of the list view area allows you to view the cost and revenue columns in the budget list.


Scheduling by Staff or Position

DBI Staff Scheduler is unique in that you can elect to schedule by Staff or by Position/Task. DBI Staff Scheduler has been designed to accommodate either scheduling preference. If you schedule by staff for example, typically you will select your staff-members, assign them to a department, and then decide when and what they will be doing, i.e. create a time bar to define when the staff member will be working and select a position from the Position/Task list and drag it onto the time bar to define what position/task the staff member will be performing. This is very common; however, just as common are the organizations that prefer to schedule by Position/Task. In this case you define which positions/tasks must be performed in their respective departments, and then make the decision on when they will be performed by creating a time bar, and then decide who will be filling that position/task by selecting them from the Staff list and dragging/dropping them onto the time bar. It really is a matter of what makes sense for your organization. The important thing to remember is that with DBI Staff Scheduler you can set up your schedule with either scheduling mode, scheduling by staff or position/task, and at any time toggle between these views.


Scheduling Conflicts

Scheduling conflicts are constantly monitored and reported during the creation and maintenance of a schedule plan. There are four kinds of scheduling conflicts being checked within the schedule plan:

  1. Is the staff member already scheduled for any part of a time period to which you are trying to assign the person (has the staff member already been scheduled somewhere else)?

    NOTE: These kinds of conflicts can occur with time bars in the currently loaded schedule plan or with time bars in other schedule plans that overlap with the schedule plan being worked on.

  2. Has the staff member identified a Schedule Exception for any part of a time period to which you are trying to assign the person (Vacation request, Doctor’s Appointment, etc.)?

  3. Does the proposed scheduling item conflict with the indicated Regular Days Off as described in the staff member’s profile (are you trying to schedule the employee on a regular day off)?

  4. Does the proposed scheduling item conflict with the availability as described in the staff member’s profile (has the employee indicated they are available for the time in which you are trying to schedule them)?

    NOTE: Conflict checking based on Schedule Availability can be turned on an off in the Maintenance – System form.

These scheduling conflicts are reported from within the schedule worksheet interface as the schedule plan is being built or when a schedule plan is copied to create a new schedule plan.

The following are examples of Warning Screens you will see as a result of Conflict Checking

If you are attempting to schedule an employee already scheduled for all or any part of an existing time bar the Warning above will appear.

NOTE: The warning contains enough information to determine which time bar is causing the conflict, i.e. the schedule plan description (may or may not be the currently loaded schedule plan), department, position, date, and time.

If attempting to schedule an employee that has indicated an exception to his or her normal availability, the Warning above will appear.

Note: Schedule Exceptions are typically One Time events such as a Vacation, doctor’s appointments etc.

Regular days off are captured and maintained in the staff member’s profile. If you are attempting to schedule an employee in a time slot that is contrary to the Regular Days Off information, the above Warning will appear.

Staff Schedule Availability is captured in the staff member’s profile. If you are attempting to schedule an employee in a time slot that is not noted as being available in the staff member’s availability the above Warning will appear.

NOTE: Availability conflict checking can be turned on or off at a system level. To include Employee Availability in the conflict checking the “Conflict Check Employee Availability” item in the System Maintenance form must be set to true. To learn more about maintaining system parameters please see Maintenance – System.

In any of the above conditions, you are warned a conflict exists and offered the option of overriding the conflict to complete the action or not overriding the conflict and canceling the action causing the conflict.

Schedule Exceptions are also reported when copying an existing schedule plan to create a new schedule plan.

For more information on Copying Schedule Plans please see A Staff Scheduler Primer – Copy Schedule Feature.


Drag and Drop

The concept of drag and drop describes the way in which Departments, Positions/Tasks, and Staff are added to a schedule plan. In essence, a scheduling item (Department, Position/Task, Staff member) is “dragged” from a list in the List View or Explorer and “dropped” onto the plan. Time bars can also be dragged and dropped between items (Positions/Tasks or Staff depending upon the “Schedule By” selection for the planner) in the schedule plan. For more information on moving Time Bars please see Time Bars – Moving a Time Bar.


Adding Departments to a Schedule Plan

To add a Department to a Schedule Plan:

  1. Display the Departments list by left mouse clicking on the Departments Tab in the List View. Alternatively you can click on the Departments item in the Explorer (to expand the list).

    NOTE: The Departments list only displays those departments that are marked as “Active”. The Active flag is maintained in the Maintain Departments form. To learn more about maintaining departments please see Maintenance – Departments.

  2. Using the left mouse button, click on the department you want to add to the schedule plan.

    NOTE: The department will appear highlighted to indicate the department is selected.

  3. Holding the left mouse button down begin dragging the department to the right onto the “Schedule By” list.

    NOTE: The cursor changes to the department icon indicating the department is being dragged.

  4. Stop dragging the department icon when the icon is over the “Schedule By” List under the “Schedule By” title (Position – as shown above or Staff – if Scheduling by Staff).

  5. Release the left mouse button to complete the operation. NOTE: The department has been added to the schedule plan.

To delete a Department from a Schedule Plan, select the department in the “Schedule By” list by left mouse clicking on it. The selected item will appear to be highlighted. Press the Delete key on the keyboard. You will be warned …

If you press the OK button the Department and all of the Positions/Tasks (if scheduling by Position/Task) or all of the Staff members (if scheduling by Staff) and their associated time bars will be removed. If you press the Cancel button, the delete request is cancelled and no action is taken.


Schedule By Position

NOTE: The following describes adding Positions/Tasks and Staff to a Schedule Plan when Scheduling by Position/Task. If you are scheduling by Staff please see Drag and Drop - Schedule By Staff.


Adding Positions/Tasks to a Schedule Plan – Schedule By Position

To add a Position/Task to a Schedule Plan:

  1. Display the Position/Tasks list by left mouse clicking on the Position/Tasks tab in the List View. Alternatively clicking on the Position/Task node in the Explorer expands the item to display the Position/Task list.

    NOTE: Only those positions/tasks that are marked as “Active” will be displayed. To learn more about maintaining Positions/Tasks please see Maintenance – Positions/Tasks.

  2. Using the left mouse button, click on the position/task you want to add to the schedule plan.

    NOTE: The position/task will become highlighted to indicate the item is selected.

  3. Holding the left mouse button down begin dragging the position/task to the right onto the “Schedule By” list.

    NOTE: The cursor changes to the position/task icon indicating the position/task is being dragged.

  4. Stop dragging the position/task icon when the icon is over the desired department into which the position/task is to be scheduled.

    NOTE: The icon must be over a department or the list of positions/tasks under that department in order to be dropped onto the schedule plan. The department into which the position/task is to be added will be highlighted when you move the icon over it.

  5. Release the left mouse button to complete the operation.

    NOTE: The position/task has been added to the schedule plan.

NOTE: To delete a Position/Task from a Schedule Plan, select the Position/Task in the “Schedule By” list by left mouse clicking on it. The item will appear highlighted. Press the Delete key. You will be warned …

If you press the OK button the Position/Task and its associated time bars will be removed. If you press the Cancel button, the delete request is cancelled and no action is taken.


Adding Staff to a Schedule Plan– Schedule By Position

In Schedule By Position mode, staff members are added to the plan by assigning them to a time bar. Before assigning staff to a schedule plan, you must first create a time bar to define the time the position/task requires a staff member. To create a time bar, press and hold the left mouse button at the start time for the position/task.

Continuing to hold down the left mouse button, drag the mouse to the right until the end time for the position/task assignment is reached.

Release the left mouse button to complete the creation of the time bar.

For more information on creating time bars please refer to Time Bars – Creating Time Bars.

To add a Staff member to a Schedule Plan:

  1. Display the Staff list by left mouse clicking on the Staff tab in the List View or expanding the Staff item in the Explorer.

    NOTE: The Staff list only displays those staff members that are marked as “Active”. To learn more about maintaining Staff please see Maintenance – Staff.

  2. Using the left mouse button, click on the staff member you want to add to the schedule plan.

    NOTE: The staff member becomes highlighted to indicate the item is selected.

  3. Holding the left mouse button down begin dragging the staff icon to the right onto a time bar in the Schedule Worksheet.

    NOTE: The cursor changes to the staff member icon indicating the staff member is being dragged.

  4. Stop dragging the staff member icon when the icon is over the desired time bar into which the staff member is to be assigned.

    NOTE: The icon must be over a time bar in order to be dropped onto the schedule plan.

  5. Release the left mouse button to complete the operation.

    NOTE: The staff member has been added to the time bar in the schedule plan. The time bar changes to reflect the staff member’s name and the color changes to indicate visually the time bar is no longer “Unassigned”.


Schedule By Staff

NOTE: The following describes adding Positions/Tasks and Staff to a Schedule Plan when Scheduling by Staff. If you are scheduling by Position/Task please see Drag and Drop - Schedule By Staff.


Adding Staff Members to a Schedule Plan – Schedule By Staff

To add a Staff Member to a Schedule Plan:

  1. Display the Staff list by left mouse clicking on the Staff tab in the List View or by clicking on the Staff node in the Explorer to expand the Staff List.

    NOTE: Only those staff members that are marked as “Active” will be displayed in the list. To learn more about maintaining Staff please see Maintenance – Staff.

  2. Using the left mouse button, click on the staff member you want to add to the schedule plan.

    NOTE: The staff member selected will become highlighted to indicate the item is selected.

  3. Holding the left mouse button down begin dragging the staff member to the right onto the “Schedule By” list.

    NOTE: The cursor changes to the staff member icon indicating the staff member is being dragged.

  4. Stop dragging the staff member icon when the icon is over the desired department into which the staff member is to be scheduled.

  5. Release the left mouse button to complete the operation.

    NOTE: The staff member has been added to the schedule plan.

To delete a Staff member from a Schedule Plan, select the Staff member in the “Schedule By” list by left mouse clicking on it. Press the Delete key. You will be warned …

If you press the OK button the Staff member and the associated time bars will be removed. If you press the Cancel button, the delete request is cancelled and no action is taken.


Adding Positions/Tasks to a Schedule Plan– Schedule By Staff

In Schedule By Staff mode, positions/tasks are added to the plan by assigning them to a time bar. Before assigning a position/task to a schedule plan, you must first create a time bar within the schedule worksheet to define the time the staff member will be working. To create a time bar, press and hold the left mouse button at the start time for the staff member.

Continuing to hold down the left mouse button, drag the mouse to the right until the end time for the staff member assignment is reached.

Release the left mouse button to complete the creation of the time bar.

For more information on creating time bars please refer to Time Bars – Creating Time Bars.

To add a Position/Task to a Schedule Plan:

  1. Display the Position/Task list by left mouse clicking on the Position/Task tab in the List View or by clicking on Positions/Tasks node in the Explorer to expand the Position/Tasks list.

    NOTE: Only those positions/tasks that are “Active” will be displayed in the list. To learn more about maintaining Positions/Tasks please see Maintenance – Positions/Tasks.

  2. Using the left mouse button, click on the position/task you want to add to the schedule plan.

    NOTE: The position/task selected will become highlighted to indicate the item is selected.

  3. Holding the left mouse button down begin dragging the position/task icon to the right onto a time bar in the Schedule Worksheet.

    NOTE: The cursor changes to the position/task icon indicating the position/task is being dragged.

  4. Stop dragging the position/task icon when the icon is over the desired time bar into which the position/task is to be assigned.

    NOTE: The icon must be over a time bar in order to be dropped onto the schedule plan.

  5. Release the left mouse button to drop the icon onto the time bar and complete the operation.

    NOTE: The position/task has been assigned to the time bar in the schedule plan. The time bar changes to reflect the position/task’s name and the color changes to indicate visually the time bar is no longer “Unassigned”.


Time Bars

DBI Staff Scheduler makes extensive use of time bars. Time bars are visual representations of scheduled periods of time. The time bars used in DBI Staff Scheduler will change color depending on their status (unassigned, assigned, or selected). Creating, modifying, and deleting Time Bars with DBI Staff Scheduler is very easy.


Creating Time Bars

To create time bars in your schedule plan:

  1. On the Schedule Worksheet click the left mouse button down in a Position/Task (in view by Position/Task mode) or in a Staff Member (in View by Staff mode) at the desired start time and hold it there.

    NOTE: The cursor changes to the left/right arrow and the start time is highlighted by the vertical red bar on the time line ruler at the top of the schedule worksheet.

  2. Continuing to hold the left mouse button down drag the mouse to the right until the desired end time has been reached.

    NOTE: As the mouse moves to the right the outline of the time bar becomes visible and the end time is highlighted as a vertical red bar on the time line ruler at the top of the schedule worksheet.

  3. When the desired end time has been reached, release the left mouse button to create the time bar.

    NOTE: The new time bar indicates that it is unassigned and reflects its start and end times in the bottom left hand corner of the time bar.

Once created time bars can be modified by:

a) Moving them (horizontally or vertically),

b) Resizing them (lengthening or shortening), or

c) Deleting them (removing them from the schedule plan).


Moving a time bar

To move a time bar horizontally (up or down the time line):

  1. Select the time bar to be moved by clicking on it using the left mouse button; continue to hold the left mouse button down.

    NOTE: The cursor changes to a cross hair to indicate the time bar is ready to be moved.

  2. Continuing to hold the left mouse button down drag the time bar left/right to move it to the new time in the “Schedule By” list.

    NOTE: An outline of the bar being moved illustrates the new position of the time bar. The text in the bottom left of the time bar changes to reflect the new start/end times as the bar is being moved.

  3. Release the left mouse button to complete the operation.

To move a time bar vertically (between “Schedule By” items):

  1. Select the time bar to be moved by clicking on it using the left mouse button; continue to hold the left mouse button down.

    NOTE: The cursor changes to a cross hair to indicate the time bar is ready to be moved.

  2. Continuing to hold the left mouse button down drag the time bar up or down to the desired item in the “Schedule By” list.

    NOTE: A time bar cannot be moved to a department item in the list.

  3. Release the left mouse button to complete the operation.


Resizing a time bar

To resize a time bar (change the start or end time):

  1. Hover the mouse over the beginning or the end of the time bar to be resized.

    NOTE: The cursor changes to the left/right arrows when the mouse is in position to resize the bar.

  2. Click and hold down the left mouse button.

    NOTE: The cursor once again changes and the bar outline changes to indicate the bar is being resized.

  3. Move the mouse to the left or the right until the new start or end time has been reached.

    NOTE: The start and end time text in the time bar changes as the mouse moves to reflect the new start/end times. The vertical red line marker in the time line at the top of the schedule worksheet also changes as the time of the time bar changes.

  4. Release the left mouse button to complete the operation.

    NOTE: The cursor changes back to the left/right arrows indicating the mouse is hovering over a resize point on the time bar.


Deleting a time bar

To delete a time bar (remove it from the schedule plan):

  1. Click and release the left mouse button on the time bar to be deleted.

    NOTE: This selects the time bar to be deleted. The border and color of the time bar change to indicate the time bar is selected.

  2. Press the Delete key on the keyboard. This deletes the selected time bar.

    NOTE: The user is not prompted to confirm the deletion of a time bar. Pressing the Delete key when a time bar is selected deletes the time bar from the schedule.

  3. You can also delete a time bar by using a right mouse click over the time bar to bring up the Time Bar menu and selecting the “Delete Time Bar” option.


Editing Time Bars

To edit a time bar in your schedule plan:

1. Right Click on the time bar to bring up the Menu.

Use this method to either; Copy the time bar to the next day (Assigned or Unassigned), Edit the time bar, Delete the time bar, or remove the time bar’s assignment (Unassign Time Bar).

Copy Time Bar to Next Day: Click on this selection and the time bar will be copied to the same time on the following day along with its assignment (if it has been assigned). Staff Scheduler will check for and report on all conflicts before proceeding with this action.

Copy Time Bar to Next Day (Unassigned): Click on this selection and the time bar will be copied to the same time on the following day without its assignment (if it has been assigned). Staff Scheduler will check for and report on all conflicts before proceeding with this action. This action is useful when copying an assigned time bar that causes a conflict. Using the Unassigned option allows you to create the time without the assignment instead of having to create it manually.

Edit Time Bar: Click on Edit Time Bar and the following screen will appear …

Description of form: Unassign, Add/Edit notes, move (start and end) a time bar.

Actions

Unassign Time Bar: Remove the assigned staff member (Schedule by Position/Task) or Position/Task (Schedule by Staff) and set the time bar to Unassigned.

Save: Save the changes and return to the Schedule Plan Worksheet.

Cancel: Cancel the changes and return to the Schedule Plan Worksheet.

Fields

Notes: Further describe the time bar and the assignment of a staff member or position/task to the staff member.

NOTE: Time Bar notes are displayed in the details of individual staff schedules in the Print Staff Schedules function and the Email Staff Schedules function in the reports menu.

Start Date/Time: The start date and time of the time bar.

End Date/Time: The end date and time of the time bar.

Delete Time Bar: Click on Delete Time Bar to remove the selected time bar from the Schedule Plan.

Unassign Time Bar: Click on Unassign Time Bar and the time bar’s assignment (Staff Member when scheduling by Position/Task or Position/Task when scheduling by Staff) is removed.


Copy Schedule Feature

One of the most powerful features for creating staff schedules is DBI Staff Scheduler’s Copy feature. This feature allows you to copy an existing schedule to create a new schedule. This time saving feature really replicates the way many organizations schedule. Rather than building every schedule from scratch, simply select a schedule plan that you want to use as a template and copy it to a new schedule. When copying a schedule you first identify a new start date. The existing schedule is copied exactly (Departments, Positions/Tasks, and Staff) by applying the new start date to all the time bars in the schedule. For example, if you schedule by week, starting on a Monday, you could schedule the following week by copying the first week’s schedule and setting the start date for the copied schedule to the Monday following the original schedule’s start date.

To copy a schedule plan, press the Schedule Plans button in the DBI Staff Scheduler Main Menu (or use the Alt – P key combination).

This displays the Schedule Plans form.

To create a schedule by copying an existing schedule, highlight the schedule plan to be copied (in the Schedule Plans list) and press the Copy button to display the Copy Schedule Plan form.

The Copy Schedule Plan form indicates the start day of the original plan (in the example above the original schedule plan started on a Monday), and defaults the Start Date of the new plan to the Start Date of the original plan plus the number of days described in the System Setup form – Schedule Length (in the example above 7 days). For more information on the Schedule Length value please see Maintenance – System.

NOTE: The Start Date for the new plan can be set to any value.

Before initiating the Schedule Plan copy, you can change the start date by entering a new date or pressing the down arrow beside the date and selecting a new date from the drop down calendar. You can also edit the description to better describe the new schedule plan.

NOTE: The description is defaulted to "COPY OF:" plus the original schedule plan description.

When the start date and description information for the new schedule is correct press the Copy button.

An exact copy of the original schedule plan Departments, Positions/Tasks, and Staff is created. The new schedule plan Time Bars are created by adjusting the Time Bar Start Dates by the difference (in days) between the original schedule plan start date and the new schedule plan start date. When the new schedule plan has been created you are notified if any schedule conflicts exist as a result of schedule exceptions. If no conflicts exist you are notified …

Press the OK button to complete the copy process and return to the Schedule Plans form.

If schedule conflicts occur with the new schedule plan time bars you are notified …

Press the OK button to return to the Copy Schedule form to apply (or not apply) overrides as you see fit.

To override a conflict, left mouse click on the check box beside the appropriate item in the Exception list.

NOTE: The Override All button is a toggle button to allow you to select to override all of the conflicts …

or clear all of the conflict overrides without having to mark each conflict individually.

When you click on the Override box of a conflict item, if the box is blank an “X” will appear in the check box to indicate the conflict has been overridden. This means that even though an exception has been noted (to say a staff member is not available for work in a time bar generated by the copy process), you have selected to override the conflict and leave the staff member scheduled to work. If you click on a check box that has an X in it, you clear the override. If you do not override a conflict, the new schedule will show that time bar as being “Unassigned” when viewing the schedule plan by Position/Task.

When all of the overrides have been noted press the Apply button.

This action notifies you the copy process is complete.

Press the OK button to return to the Schedule Plans form.

The new schedule plan appears in the list. Now you can make whatever changes are required for the new schedule period. This method will save you tremendous amounts of time and effort.


Navigating dbi Staff Scheduler

dbi Staff Scheduler is designed around a main schedule planner worksheet form with its supporting maintenance and reporting functionality forms.

The Staff Scheduler Main Form is comprised of the following objects …

Main Menu: The Main Menu provides access to all of the software’s maintenance, reporting, optional views, and help functionality.

Scheduler Bar: The Scheduler Bar allows you to easily view/select schedules, items to schedule (Staff/Positions), or actions to perform (run reports).

NOTE: If you are running the Enterprise Version of Staff Scheduler you will also see a “Data Connections” selection on the Scheduler Bar. This allows for connection to a remote database.

Explorer: The Explorer allows you to view Departments, Positions, and/or Staff lists from which the scheduling items are selected. Clicking on one of the main items (nodes) expands the corresponding list.

List View: The List View allows you to display and select from lists of Departments, Positions, Staff, or Budget.

Schedule Planner: Contains the currently loaded schedule plan. The scheduler planner allows you to create and maintain schedule plans.

NOTE: The name of the schedule plan loaded into the planner appears at the top of the form under the Main Menu.

Planner View Menu: Provides a quick and easy menu to toggle the objects being viewed in the schedule planner form. Invoked by right-clicking on the scheduler planner form anywhere but on a time bar.

The schedule management functionality provided in the DBI Staff Scheduler application is accessed through the buttons in the Main Menu bar situated at the top of the dbi Staff Scheduler main form and through the Scheduler Bar at the left of the dbi Staff Scheduler main form.

NOTE: Hiding the scheduler bar, explorer, and/or list view makes more of the plan visible. The scheduler bar, explorer, and/or list view can be hidden or made visible from the Main Menu – View menu or from the Planner View menu invoked by right clicking on the schedule planner form.


Main Menu

The dbi Staff Scheduler Main Menu (highlighted below) provides access to the dbi Staff Scheduler functionality. The View, Maintenance, Reports and Help menu selections will display drop down menus with further menu options when selected.

To activate a menu selection, click on the appropriate item in the menu with the left mouse button or press the Alt key in combination with the letter underlined in the menu item text, i.e. for “Schedule Plans” press the Alt and P keys simultaneously.

q Schedule Plans: Provides access to the Schedule Plan maintenance form to create, copy, edit, and delete schedule plans.

q View: Displays the list of view options used to customize the schedule planner form.

q Schedule By Position/Task – Sets the Schedule planner to display the Schedule Plan’s Positions/Tasks in the “Schedule By” List and displays the time bar assignments in terms of the staff member assigned to the position/task.

q Schedule By Staff – Sets the Schedule planner to display the Schedule Plan’s Staff members in the “Schedule By” List and displays the time bar assignments in terms of the position/task assigned to the staff member.

q Refresh Schedule – Re-populates the schedule plan from the database. This is only required if more than one person is updating the schedule plan simultaneously (i.e. when multi-user changes to a schedule plan occur).

q Hide/Show Scheduler Bar – Menu item that toggles to allow hiding or showing of the scheduler bar object. This is useful if you require seeing more of the schedule plan simultaneously.

q Hide/Show Departments List – Menu item that toggles to allow hiding or showing of the list view object displaying the Departments list. This is useful if you require seeing more of the schedule plan simultaneously.

q Hide/Show Positions/Tasks List – Menu item that toggles to allow hiding or showing of the list view object displaying the Positions/Tasks list. This is useful if you require seeing more of the schedule plan simultaneously.

q Hide/Show Staff List – Menu item that toggles to allow hiding or showing of the list view object displaying the Staff list. This is useful if you require seeing more of the schedule plan simultaneously.

q Hide/Show Budget – Menu item that toggles to allow hiding or showing of the list view object displaying the labor burden budget list. This is useful when scheduling to monitor the labor burden and receive warning when the labor burden exceeds the target labor cost.

q Hide/Show Available – Menu item that toggles to allow hiding or showing of the list view object displaying the list of staff who are available for a selected time bar. This is useful when scheduling to provide a filtered list of staff members, displaying only those staff that are not already scheduled for any part of the selected time bar and who have been marked as available (if availability is enabled in the System setup) for the time bar in question.

q Hide/Show Explorer – Menu item that toggles to allow hiding or showing of the explorer object. This is useful if you require seeing more of the schedule plan simultaneously.

q Zoom In: Expands the time line at the top of the schedule worksheet to more easily work with short time bars.

q Zoom Out: Contracts the time line at the top of the schedule worksheet to visually interact with a larger portion of the schedule.

q Prev Day: Moves the schedule viewing area to the previous day in the schedule.

q Next Day: Moves the schedule viewing area to the next day in the schedule.

q View Plan: Used to display the Schedule Plan form from which you can view, print, or save the plan as html.

q Print Plan: Allows you to print the schedule plan on a selecting printer.

q Maintenance: Presents a drop down menu to allow you to select and perform routine Administration and Maintenance on the items that support the creation of Schedule Plans.

q System – Displays the System maintenance form used to maintain the system variables.

q Departments – Displays the Departments maintenance form used to Add/Delete/Edit Departments.

q Positions/Tasks – Displays the Positions/Tasks maintenance form used to Add/Delete/Edit and View the Schedule for Positions/Tasks.

q Staff - Displays the Staff maintenance form used to Add/Delete/Edit, maintain Schedule Availability, maintain Schedule Exceptions, View the Schedule, and maintain the Position/Wage details for Staff members.

q Revenue Budget - Displays the Revenue Budget maintenance form used to Add/Delete/Edit the projected revenue used in monitoring the labor burden.

q Reports: Presents a drop down menu to select one of Staff Scheduler’s schedule printing/emailing functions or reporting options.

q 7 Day Schedule – Provides a global calendar view of all active schedule plans for a 7 day period.

q 28 Day Schedule – Provides a global calendar view of all active schedule plans for a 28 day period.

q Print Staff Schedules – Provides the ability to print in report form individual staff scheduling detail.

q Email Staff Schedules – This option provides the ability to select staff that to receive their schedules via email. You can include attachments and select Schedule date ranges as well as request a read receipt to verify the email has been read.

q Exception Report –This report will indicate any exceptions that need to be considered during scheduling. Examples might be Vacation, Appointments, Sick days etc.

q Staff List – This report lists all active Staff and their respective contact detail.

q Staff Hours Report – This report displays the detail and total number of hours scheduled for all staff scheduled to work in a user-defined period.

q Position Hours Report – This report displays the detail and total number of hours scheduled for all positions/tasks scheduled for work in a user-defined period.

q Staff Cost Report – This report displays the detail and total cost, along with the labor burden calculations, for all staff members scheduled to work in a user-defined period.

q Help: Presents a drop down menu from which you can select one of the Help options (Contents, Index, Search, About dbi Staff Scheduler)

q Exit: Closes the application.


Scheduler Bar

The Scheduler Bar is essentially a menu system that provides the following lists from which to select items or activities …

q Schedules – The list of active schedule plans. To load a schedule plan into the schedule planner, click on the plan in the schedules list in the scheduler bar.

q Schedule Items – The list items used to create and maintain schedule plans, i.e. Departments, Positions/Tasks, and Staff. Clicking on one of the items displays the list of items in the list view object.

q Maintenance – Provides access to the maintenance forms used to manage the system variables, departments, positions/tasks, staff members, and revenue budget. To display one of the maintenance forms, click the appropriate item in the list.

q Database Connections – Provides a list of remote databases to which the dbi Staff Scheduler application can be connected. The list displays all of the remote database connections that have been set up in the System maintenance/Database Connections form. Fro more information on setting up remote database connections, please see Maintenance – System/Database Connections.

NOTE: The Database Connections list in the Scheduler Bar is only available in the Enterprise User version of the dbi Staff Scheduler software. This selection is not available in the Single User version of the software.

To connect the software to one of the remote databases, click on the appropriate item in the list. You will be prompted …

NOTE: When connecting to a remote database, the caption at the top of the staff scheduler application changes to indicate the database to which the software is connected.

Once connected to a remote database, the dbi Staff Scheduler application provides the user with all the data as is used in the remote version of the software.

NOTE: In the Enterprise User version of the software, the maintenance and reporting features are identical to the single user version of the software. When the application is connected to a remote database you have exactly the same capability with respect to managing schedule plans, maintaining the schedule items, and reporting, as does the single user connected to the database. It should be noted that when connected to a remote database, the enterprise user has no access to the system settings of the remote installation. The Maintenance/System functionality operates on the system settings of the enterprise user database not the system settings of the remote database you are connected to.


Explorer

The Explorer is a tree view object that allows you to dynamically display or hide the department list, the position/task list, and/or the staff member list.

This object can be used as the source for selecting and dragging items into your schedule plan. To expand a list, double click anywhere on a parent item (i.e. Departments, Positions/Tasks, or Staff) or single click on the + to the left of the item. To collapse the list left mouse click on the – to the left of the parent item in the list (i.e. Departments, Positions/Tasks, or Staff) or double click anywhere on the item.

The explorer object can be shown or hidden by toggling the appropriate menu item in the Main Menu/View menu or in the Planner View Menu.

NOTE: When hovering the mouse over an item in one of the lists in the explorer, you will see any notes entered into the item’s detail in the appropriate maintenance form. For example, if notes are captured for a particular staff member then those notes can be viewed in the staff list by holding the mouse over the staff member’s entry in the staff list presented in the explorer.

NOTE: You can also use the explorer to perform a “Quick Edit” on any item in a list. To quickly edit an item simply select the item and press the Enter key or double click the mouse on a selected item to open up the appropriate maintenance form with the selected item highlighted in the list. For example, to “quick edit” a staff member, double click on the staff member in the staff list. This will open up the Staff maintenance form with the staff member selected.


List View

The List View object provides a simple tabbed object to display or hide the department list, the position/task list, the staff member list, the labor burden Budget, and the Available staff list.

The List View object can be used as the source for selecting and dragging items into your schedule plan (“Depts/Posns/Staff/Available”) or to view the revenue budget/labor burden while scheduling staff and positions/tasks. To display a list, left mouse click on the appropriate tab at the top of the list view (Departments, Positions, Staff, Budget, or Available).

This object can be shown or hidden by toggling the appropriate menu item in the Main Menu/View menu or in the Planner View Menu.

NOTE: When hovering the mouse over an item in one of the lists (except the Budget list) in the list view, you will see any notes entered into the item’s detail in the appropriate maintenance form. For example, if notes are captured for a particular staff member then those notes can be viewed in the staff list by holding the mouse over the staff member’s entry in the staff list presented in the list view.

NOTE: You can also use the list view to perform a “Quick Edit” on any item in a list. To quickly edit an item simply select the item and press the Enter key or double click the mouse on a selected item (for any list except the budget list) to open up the appropriate maintenance form with the selected item highlighted in the list. For example, to “quick edit” a staff member, double click on the staff member in the staff list. This will open up the Staff maintenance form with the staff member selected. Double clicking on an item in the Budget list will move the schedule to selected day in the list.


Schedule Planner

The Scheduler Planner object provides the worksheet interface into which a schedule plan is loaded. Once the schedule plan is loaded into the planner, the user can edit the plan by adding or deleting departments, adding or deleting Positions/Tasks (view set to Schedule by Position/Task), adding/deleting Staff members (view set to Schedule by Staff), adding, copying, deleting, and assigning time bars. For more information on creating and maintaining schedules please see “A Staff Scheduler Primer”.

In addition to providing the drag and drop interface for scheduling items (departments, positions/tasks, and staff members), the schedule planner also responds to shortcut keys when it is selected (has focus). The following shortcuts are available when the schedule planner or one of the objects inside the planner (items, time bars) is selected …

CTRL + HOME key combination – positions the schedule plan at its start date and time.

CTRL + END key combination – positions the schedule plan at its end date and time.

SHIFT + HOME key combination – positions the schedule plan at the top (scrolls the plan to the top).

SHIFT + END key combination – positions the schedule plan at the bottom (scrolls the plan to the bottom).

ALT + Z key combination – refreshes the schedule from the database. This is useful if more than one user is maintaining the schedule plan in a multi-user environment to periodically display the changes to the plan not made by you.

NOTE: In a multi-user environment, the conflict checking uses the database not the schedule planner and therefore will report correctly scheduling conflicts even if you cannot see the conflicting time bar/information in your screen. If you are generating a scheduling conflict and can see no time bar/information that appears to conflict with the action you are attempting, refresh the schedule plan.

ALT + T – reloads the schedule plan to view by Position/Task.

ALT + S – reloads the schedule plan to view by Staff.

ALT + I – zooms the schedule plan in by a factor of 1. There are 7 factors of zoom in total. Zooming in shows more detail in the schedule plan but shows less of the plan simultaneously.

ALT + O – zooms the schedule plan out by a factor of 1. There are 7 factors of zoom in total. Zooming out shows less detail in the schedule plan but shows more of the plan simultaneously.

ALT + D – moves the schedule plan to the previous day. This is not available if the schedule plan is positioned on the first day.

ALT + N – moves the schedule plan to the next day. This is not available if the schedule plan is positioned on the last day.

NOTE: You can quickly move to any day in the schedule by displaying the Budget list in the list view object and double clicking on the desired day. This action repositions the schedule plan at the start of the selected day.

The schedule planner also has the ability to collapse and expand departments inside the plan. This is useful if you want to isolate one or two departments when working on the plan. To collapse a department place the mouse on the department item in the “Schedule By” list and double-click using the left mouse button. The positions/tasks (when viewing in Schedule by Position/Task) or the staff members (when viewing in Schedule by Staff) will be hidden under the selected department. The department header changes color to indicate it is collapsed.

To expand the department again to display the items below it, double-click on it using the left mouse button.


Planner View Menu

The Planner View Menu object provides an easy-to-use pop up menu from which the main schedule planner worksheet form can be quickly customized to provide more real estate in which to work with the schedule plan. To display the menu, right mouse click anywhere on the form except for a time bar or the main menu. The Planner View menu remains visible until a selection is made or until the focus moves to another object in the form.

The menu selections in the Planner View Menu provide the following …

q Hide/Show Scheduler Bar – Menu item that toggles to allow hiding or showing of the scheduler bar object. This is useful if you need to see more of the schedule plan simultaneously.

q Hide/Show Departments List – Menu item that toggles to allow hiding or showing of the list view object displaying the Departments list. This is useful if you need to see more of the schedule plan simultaneously.

q Hide/Show Positions/Tasks List – Menu item that toggles to allow hiding or showing of the list view object displaying the Positions/Tasks list. This is useful if you need to see more of the schedule plan simultaneously.

q Hide/Show Staff List – Menu item that toggles to allow hiding or showing of the list view object displaying the Staff list. This is useful if you need to see more of the schedule plan simultaneously.

q Hide/Show Budget – Menu item that toggles to allow hiding or showing of the list view object displaying the labor burden budget list. This is useful when scheduling to monitor the labor burden and receive warning when the labor burden exceeds the target labor cost.

q Hide/Show Available – Menu item that toggles to allow hiding or showing of the list view object displaying the list of staff who are available for a selected time bar. This is useful when scheduling to provide a filtered list of staff members, displaying only those staff that are not already scheduled for any part of the selected time bar and who have been marked as available (if availability is enabled in the System setup) for the time bar in question.

q Hide/Show Explorer – Menu item that toggles to allow hiding or showing of the explorer object. This is useful if you need to see more of the schedule plan simultaneously.


Schedule Plans

The Schedule Plans form is used to create new schedule plans, edit existing schedule plans, delete schedule plans, or copy existing schedule plans to create new schedule plans.

Actions

Find Plan: Search for a specific Schedule Plan. Enter the first few letters of the Schedule Plan to search on and the list highlights the first schedule plan that matches the search criteria.

Active Only: Choose Active Only if you want to display only Active Schedule Plans in the list.

New: Creates a new Schedule Plan.

Edit: Changes the parameters of the selected (in the list) Schedule Plan.

NOTE: The edit function is not available for the schedule plan currently loaded in the main schedule planning form.

Delete: Deletes the selected Schedule Plan.

Copy: Creates a copy of the selected Schedule Plan.

NOTE: This is a very quick and easy way to take an existing schedule plan and use it as the basis for the next schedule plan. For more information on Copying Schedule Plans please see A Staff Scheduler Primer – Copy Schedule Feature.

Load: Loads the selected Schedule Plan into the schedule planner in the main form. This is the same as selecting a schedule plan in the Scheduler Bar.

Fields

Description: Describes the schedule plan.

Active: Indicates if the schedule plan is active. To make a schedule plan inactive click on the checkbox when the schedule plan is in edit mode.

NOTE: Schedule Plans that are not active are not displayed in the List View – Schedules list when the Active Only check box is checked.

Start: The Start Date and Start Time of selected Schedule Plan.

Tip: To change a Start Date, enter the date directly into the edit box or click on the down arrow to bring up a calendar from which the date can be selected.

End: End Date and End Time of selected Schedule Plan.

Tip: To change an End Date, enter the date directly into the edit box or click on the down arrow to bring up a calendar from which the date can be selected.

Schedule By: Select the preferred method of scheduling for this Schedule Plan, i.e. Schedule by Position/Task or by Staff.

NOTE: The “Schedule By” setting described here does not prevent you from changing the “Schedule By” option in the view menu from the main menu at the time you are working on the Schedule Plan.

Notes: Further describes the Schedule Plan and documents any notes that are relevant to schedule plan.

Cancel: Cancels the changes made to the schedule plan parameters in Edit mode.

Save: Saves any changes made to the schedule plan parameters in Edit mode.

Close: Exit the form and returns to the main form.

To create a new schedule plan from scratch, press the New button and enter the schedule plan parameters. When you are finished entering the new schedule plan information press the Save button to save the changes or the Cancel button to discard the changes.

To edit the parameters of an existing schedule plan, select the plan to be edited in the list by using the up and down arrow keys, typing the description of the plan into the Find Plan text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the plan to be edited. Double-click on the item or press the Edit button to put the form in edit mode. Change the schedule plan parameters as required and press the Save button to save the changes or the Cancel button to discard the changes.

To delete a Schedule Plan from the system, select the plan to be deleted in the list by using the up and down arrow keys, typing the description of the plan into the Find Plan text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the plan to be deleted. Press the Delete button. You will be prompted to confirm the deletion request.

Pressing the OK button confirms the deletion request and deletes the schedule plan and all its related items from the database. Pressing the Cancel button cancels the request and returns you to the Schedule Plans form.

NOTE: Schedule Plans cannot be edited or deleted if they loaded into the schedule plan worksheet in the main form.

To copy a schedule plan to create a new schedule plan, select the plan to be copied by using the up and down arrow keys, typing the description of the plan into the Find Plan text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the plan to be copied. Press the Copy button. The Copy Schedule form will be displayed …

The Copy Schedule Plan form allows you to quickly make a copy of a schedule to generate a new schedule with the same Positions/Tasks and Staff as an existing schedule plan, but with a different start date. By default the start date of the copied schedule is the start date of the original schedule plan plus the number of days defined in the System maintenance form as the Schedule Length under the New Schedule Plan Defaults section.

NOTE: The start date is only defaulted as explained above. You can change the start date to any value.

The time bars for the new schedule plan are created by adjusting their start date by the difference between the start of the new schedule plan minus the start of the original schedule plan. For example, if the original schedule plan started on December 15, 2003 and the new schedule plan started on December 22, 2003 the difference is 7 days. When the time bars from the original schedule plan are copied to the new schedule plan, their start dates are the original time bar start date plus 7 days.

During the copy process conflicts are checked and if a conflict exists, reported in the New Schedule Conflicts list in the Copy Schedule Plan form. When the copy process is complete you are notified if conflicts exist …

If Schedule conflicts exist you are prompted to override the conflict by clicking on the appropriate check box or not override the conflict (by leaving the Override check box unchecked) and then pressing the Apply button.

NOTE: If you chose not to override a conflict, the time bar remains intact but the staff member is removed and the time bar becomes Unassigned.

NOTE: The Override All button is a toggle button to allow you to select to override all of the conflicts or clear all of the conflict overrides without having to mark each conflict individually.

When the Apply button is clicked, the form is closed and you are returned to the Schedule Plans maintenance form.

If no schedule conflicts exist you are notified and pressing the OK button closes the Copy Schedule Plan form and returns you to the Schedule Plans maintenance form.


View Plan

The View Plan form allows you to view the currently loaded Schedule Plan in a tabular format.

NOTE: This is the only view/report that uses a single schedule plan. All other views/reports/schedules use all schedule plans for a given period of time.

From within the View Plan form you can select to:

q View the Schedule Plan by Position/Task or by Staff

q Show Totals for the hours scheduled

q Show hours scheduled

q Show unassigned only

Each selection above changes the view of the data contained in the schedule plan and reflects the changes in the report.

Tip: The Show unassigned only option is useful for determining what is left to schedule in a plan.

The Schedule Plan form allows you to print the Schedule Plan on a selected printer by pressing the Print Plan button, or save the schedule plan as html by pressing the Save as HTML button. Saving a Schedule Plan as HTML allows you to publish it on a web site or share it as an email attachment.

When you are finished viewing the Schedule Plan press the Close button.


Maintenance

The Maintenance forms in dbi Staff Scheduler provide the user with the functionality necessary to maintain the System variables, the Departments, Positions/Tasks, Staff members, and Revenue Budget used in creating and maintaining schedule plans.


System

The System Maintenance form manages the variables used to customize the software specifically for your use. The Save and Cancel buttons are not visible until a value in the form is changed. To change a system setting, click on the item in the form or press the tab key to move between items.

When you are finished changing the System values, press the Save button to commit the changes to the database or the Cancel button to cancel the changes and return to the original values.

The following describes the items in the System maintenance form …

Company Name: Enter your Company name here. This name will be used on all reports. *Required Field

System Password: Create a password if access to the software is to be restricted. Passwords can be alpha, numeric or a combination of either but cannot exceed 10 characters.

NOTE: System passwords are case sensitive.

If a password is entered here, the next time the software is started up the user will be challenged to enter the password …

Failure to enter the correct password prevents the application from starting.

Conflict Check

Employee Availability: Activates conflict checking based on Employee Availability as captured in the Staff Detail form (See Maintenance/Staff). Once selected, this feature will identify any conflicts arising from staff availability when performing the staff schedule planning process.

NOTE: If this feature is not turned on, the Maintenance/Staff functionality will not allow you to enter staff availability.

Target Labor Cost: This value represents the maximum percentage of the revenue budget you want to have used up as labor cost (labor burden).

New Schedule Plan Defaults

New Schedule Plan Defaults provide the default information Staff Scheduler will use when creating new Schedule Plans.

NOTE: The values entered here are default values only! When creating new schedules you have the option of overriding the defaults and entering whatever values you wish.

Schedule By: Default “Schedule By” setting for new schedules.

Start/End Time: The default number of days for new schedules. *Required Field

Schedule Length: Use either the up/down arrows or enter desired length directly.

New Employee Defaults

New Employee Defaults provide the default values that are used when a new Staff member is added in the Staff Detail Form (see Maintenance/Staff).

NOTE: The values entered here are default values only! When creating new staff members you have the option of overriding the defaults and entering whatever values you wish.

Hourly Rate: The default hourly rate that will be used for reporting cost based on hours scheduled.

Schedule Plan Default View

Describes the default view of the main schedule planning form when the application is first started.

Show Scheduler Bar: Shows and hides the Scheduler Bar. The Scheduler Bar provideseasy access to all of the main information screens such as System (above), Departments, Staff, and Position/Task as well as all available reports. You might want to start using staff scheduler with this item turned on; you can hide this item at any time.

Show Explorer: Shows and Hides the Explorer. The Explorer provides expandable/collapsible views of active Departments, Staff and Position/Tasks.

Show List View: Shows and Hides the List View. The List View provides easy access via Tabs to view and select from active Departments, Staff or Positions/Tasks. Click on the Tabs to toggle between these 3 items.

Scheduler Bar Icon

Size: This system setting allows you to select whether you prefer larger or smaller icons to appear in the Scheduler Bar.

Schedule Bar This system setting allows you to select whether you a prefer a large

Font Size: or small font to appear in the Schedule Time Bars. Smaller fonts allow more items to be shown simultaneously in the Schedule.

Note: Smaller fonts may be more difficult to read in high- resolution environments.

Mail Server Setup

This setup is required in order to email schedules. The information required can be found in your current email application or through consultation with your Internet Service Provider (ISP). The Port Number has been set by default to 25. This port setting is common to many Internet service providers’ SMTP services.

NOTE: The information entered here MUST match the System Setting and Account Information required by your Internet Service Provider.

SMTP Server: This is the identification of your email sending service.

From Name: Name used to notify mail recipients who sent the email.

Return Address: Provides mail recipients with your return email address.

Port Number: The port used to communicate with your Internet Service Provider’s SMTP service.

Server Authentication: This setting indicates if your Internet Service Provider’s SMTP service requires authentication. Please consult your ISP if you are not sure.

Account Name: This is the account name used if authentication is required.

Account Password: This is the account password used if authentication is required.

Check Connection: After you have completed the Mail Server Section, click on Check Connection. If the information entered is correct, dbi Staff Scheduler will verify that you are ready to send email. If dbi Staff Scheduler is unable to communicate with your SMTP service, an error will be reported.

The following actions are available in the form once a change has been made to the system settings …

Save Saves the system values back to the database.

Cancel Cancels the changes made to the system variables and returns them to their original values.

The Close button is disabled when a change to a value has been made and the Save or Cancel buttons have not been pressed.

Close Closes the form and returns to the main form.


Database Connections

Clicking on the Database Connections button displays the Database Connections management form.

NOTE: The Database Connections button is only available in the Enterprise User version of the software.

To set up a database connection, click on the “New” button.

The Name and Path To Database fields are cleared out and the Cancel and Save buttons are displayed. The cursor is placed in the Name field. Enter a name that describes the remote database. The name will be displayed in the Scheduler Bar under the Database Connections list.

NOTE: The Name field and the Path To Database field are both required values to describe a database connection.

Once the Name field has been entered, enter the Path to Database value or press the Browse button to display a file browser facility to select the database to which you want to remotely connect the software.

NOTE: The database for the dbi Staff Scheduler is named TSData25.TSD.

When you have entered both values to describe the connection, press the Save button to save the connection or the Cancel button to cancel the entry.

Pressing the Close button closes the form and returns to the System maintenance form.


Departments

The Departments form is used to manage the department information that describes the departments for which you are scheduling staff. The form allows you to create New, or Edit/Delete existing departments.

The following describes the items in the Departments maintenance form …

Actions

Find Department: Search for a specific Department. Enter the first few letters of the department you are searching for and the list will highlight the first department matching the entered criteria.

Active Only: Set the Active Only flag to true (left mouse click on the check box to cause it to be checked or unchecked) to display only the active departments in the form’s list. When this flag is set to false (unchecked) the list will display all active and inactive departments.

New: Adds a Department to the List.

Edit: Change the details of the selected department.

Delete: Deletes the selected department from the system.

NOTE: If a department is in use in any schedule plan (active or inactive), you will not be allowed to delete it. If a department is no longer required in the system and you do not want it to be available for inclusion in any new schedule plans, you can turn off the Active flag on the department and it will no longer show up in the departments list in the scheduling List View.

Cancel: Cancel changes made to the department information while in New/Edit mode.

NOTE: This action is only available in Edit or New mode.

Save: Save any changes made to the department while in New/Edit mode.

NOTE: This action is only available in Edit or New mode.

Close: Exit this form and return to the main schedule planning form.

?: Presents a hint form to help describe the intent of the Maintenance function.

Fields

Description: Describes the name of the Department.

Short
Description: Describes the name of the Department in 5 characters or less.

To create a new department press the New button and enter the department information. When you are finished entering the new department information press the Save button to save the changes or the Cancel button to discard the changes.

To edit the information of an existing department, select the department to be edited in the list by using the up and down arrow keys, typing the description of the department into the Find Department text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the department to be edited. Double-click on the item or press the Edit button to put the form in edit mode. Change the department information as required and press the Save button to save the changes or the Cancel button to discard the changes.

To delete a department from the system, select the department to be deleted in the list by using the up and down arrow keys, typing the description of the plan into the Find Department text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the department to be deleted. Press the Delete button. You will be prompted to confirm the deletion request.

Pressing the OK button confirms the deletion request and the deletes the department from the database. Pressing the Cancel button cancels the request and returns you to the Departments form.

If the department is in use in a schedule plan, the delete action is denied and you are warned with the following message …

Only departments that are not in any schedule plans can be deleted. The alternative to deleting a department is to set its active switch to false (uncheck the Active check box). In this fashion the department cannot be used for any new schedule plans, as it will not be listed in the Departments list in the Schedule Plan worksheet.

Pressing the Close button in the Departments form closes it and returns you to the main schedule planner worksheet form.


Positions/Tasks

The Positions/Tasks form is used to manage the positions/tasks information that describes the positions/tasks into which you are scheduling staff. The form allows you to create New, or Edit/Delete existing positions/tasks, or view the schedule for a selected position/task.

Description of Form: Used to Add, Edit or Delete Positions/Tasks.

Actions

Find Position: Search for a specific Position/Task. Enter the first few letters of the position/task you are searching for and the list will highlight the first position/task matching the entered criteria.

Active Only: Set the Active Only flag to true (left mouse click on the check box to cause it to be checked or unchecked) to display only the active positions/tasks in the form’s list. When this flag is set to false (unchecked) the list will display all active and inactive positions/tasks.

New: To create a new Position/Task

Edit: To change the current settings of any Position/Task. Remember to click Save after making changes.

Delete: Used to delete a particular Position/Task from the system.

NOTE: If a position/task is in use in any schedule plan (active or inactive), you will not be allowed to delete it. If a position/task is no longer required in the system and you do not want it to be available for inclusion in any new schedule plans, you can turn off the Active flag on the position/task and it will no longer show up in the positions/tasks list in the scheduling List View.

View Schedule: Allows you to view the schedule of a particular Position/Task in a calendar format.

NOTE: The View Schedule form allows for the selection of any period of time via the From/To fields. You can optionally print the calendar by pressing the Print button.

Cancel: Cancel changes made to the selected Position/Task.

NOTE: This action is only available in Edit or New mode.

Save: Save any changes made to the selected Position/Task.

NOTE: This action is only available in Edit or New mode.

Close: Exit this form and return to the main schedule planning form.

?: Presents a hint form to help describe the intent of the Maintenance function.

Fields

Description: Describes the Position/Task to be performed in a schedule.

Short Description:
Describes the Position/Task in 5 characters or less. The short description is used on reports (such as the 7 Day Schedule) where there is not enough room to use the long description.

Active: A flag that indicates if a Position/Task is active. To make position/task inactive click on checkbox, it will no longer be flagged as being active.

NOTE: Positions/Tasks that are not active will not be available for selection when building a schedule in the Schedule Planning main form.

Notes: Further describes the position/task and documents any notes that are relevant to it.

NOTE: Notes are shown in a tip when the mouse is hovered over the department in the department list in the Explorer or List View objects in the main schedule planner worksheet form.

To create a new position/task press the New button and enter the position/task information. When you are finished entering the new position/task information press the Save button to save the changes or the Cancel button to discard the changes.

To edit the information of an existing position/task, select the position/task to be edited by highlighting the departments list and using the up and down arrow keys, typing the description of the position/task into the Find Position text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the position/task to be edited. Double-click on the item or press the Edit button to put the form in edit mode. Change the position/task information as required and press the Save button to save the changes or the Cancel button to discard the changes.

To delete a position/task from the system, select the position/task to be deleted in the list by using the up and down arrow keys, typing the description of the plan into the Find Position text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the position/task to be deleted. Press the Delete button. You will be prompted to confirm the deletion request.

Pressing the OK button confirms the deletion request and the deletes the position/task from the database. Pressing the Cancel button cancels the request and returns you to the Positions/Tasks form.

If the position/task is in use in a schedule plan, the delete action is denied and you are warned with the following message …

Only positions/tasks that are not in any schedule plans can be deleted. The alternative to deleting a position/task is to set its active switch to false (uncheck the Active check box). In this fashion the position/task cannot be used for any new schedule plans, as it will not be listed in the Positions/Tasks list in the Schedule Plan worksheet.


View Schedule

Pressing the View Schedule button allows you to quickly view a calendar of the schedule plan assignments for the selected position/task. To view a schedule of a position/task, select the position/task from the list by using the up and down arrow keys, typing the description of the position/task into the Find Position text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the position/task to be viewed. Press the View Schedule button. The Position Schedule form is displayed showing the schedule plan assignments for the selected position/task for the current month. You change the calendar by changing the “From” and “To” dates in the form. As the dates change, the calendar is updated. The calendar can be printed at any time by pressing the Print button.

Pressing the Close button in the Position Schedule closes the form and returns you to the Positions/Tasks maintenance form.

Pressing the Close button in the Positions/Tasks form closes it and returns you to the main schedule planner worksheet form.


Staff

The Staff form is used to manage the staff member information that describes the staff members you are scheduling. The form allows you to create New, or Edit/Delete existing staff members, view the schedule for a selected staff member, maintain the schedule exceptions, and/or maintain the availability for a selected staff member.

Description of Form: Used to Add, Edit or Delete Staff members and maintain their schedule exception and availability detail. Enter staff profile data and current contact information

Actions

Find Staff: Search for a specific Staff member. Enter the first few letters of the staff member’s name (last name, first name) you are searching for and the list will highlight the first staff member matching the entered criteria.

Active Only: Set the Active Only flag to true (left mouse click on the check box to cause it to be checked or unchecked) to display only the active staff members in the form’s list. When this flag is set to false (unchecked) the list will display all active and inactive staff members.

New: Create a new Staff profile.

Edit: Change the current information of any Staff member. Remember to click Save after making changes.

Delete: Used to delete the selected Staff member from the system.

View Schedule: Allows you to view the schedule of a particular Staff member in a calendar format.

NOTE: The View Schedule form allows for the selection of any period of time via the From/To fields. You can optionally print the calendar by pressing the Print button.

Schedule Exceptions: Allows you to enter dates the selected staff member is not available for assignment in a schedule plan. If you attempt to schedule a staff member that has a schedule exception noted for a time period conflicting with a time bar you are creating/assigning the staff member to, you will receive a Schedule Exception message. Typical examples of schedule exceptions might be vacation, doctor’s appointment, etc. These exceptions are also checked when copying an existing schedule plan to create a new schedule plan.

Schedule Availability:Allows you to capture a staff member’s availability to assist in the scheduling process. If you attempt to schedule a staff member that has not been marked as available for the entire period of time you are attempting to schedule, you will receive a Schedule Exception message. These exceptions are also checked when copying an existing schedule plan to create a new schedule plan.

NOTE: The Schedule Availability action is disabled if the System – Conflict Check Employee Availability check box is unchecked.

Position/Wage: Allows you to enter Position/Wage details to describe the hourly cost for the selected staff member for any given position. The Position/Wage details override the default cost as described below when calculating the labor burden for a schedule plan.

Cancel: Cancel changes made to the selected staff member.

NOTE: This action is only available in Edit or New mode.

Save: Save any changes made to the selected staff member.

NOTE: This action is only available in Edit or New mode.

Close: Exit this form and return to the main schedule planning form.

?: Presents a hint form to help describe the intent of the Maintenance function.

Fields

NOTE: Only fields prefixed with an asterisk (*) are required. All other fields provide information to you when viewing the staff member or are printed on the Staff List report.

*Last Name: The staff member’s last name.

*First Name: The first name of the staff member.

Middle Initial: The Middle Initial of the staff member.

Employee Number: Allows for a unique employee number to be assigned to each employee. If your organization uses employee numbers you can capture that number in this field.

Active: A flag that indicates if a staff member is active. To make a staff member inactive click on the checkbox, it will no longer be flagged as being active.

NOTE: staff members that are not active will not be available for selection when building a schedule in the Schedule Planning main form.

*Gender: Determines which staff member icon is used in the staff list in the scheduling List View. The default value is NA.

Address

Address: The street and number of the staff member’s mailing address.

City: The name of the city in which the staff member resides.

State/Prov: The 2 letter postal abbreviation for the state or province in which the staff member resides.

Country: The country in which the staff member resides.

Zip/Postal Code: The Zip Code or Postal Code of the staff member’s mailing address. This field accepts both alpha and numeric characters.

Contact Information

Home Phone: The staff member’s home phone number.

Other Phone: A secondary contact number, this could be a cell phone, a pager or some alternate phone number.

Email: The staff member’s full email address.

Emergency Name: The name of the person to be contacted in case of an emergency. Typically this would be a next of kin or medical personnel.

Emergency Phone: The phone number to call in case of an emergency.

Regular Days Off

Mon: Check this if the staff member regularly gets Monday off.

Tue: Check this if the staff member regularly gets Tuesday off.

Wed: Check this if the staff member regularly gets Wednesday off.

Thu: Check this if the staff member regularly gets Thursday off.

Fri: Check this if the staff member regularly gets Friday off.

Sat: Check this if the staff member regularly gets Saturday off.

Sun: Check this if the staff member regularly gets Sunday off.

Cost

Default Hourly Rate: Describes the hourly wage paid to the staff member. This value is used in the Staff Cost Reports and Labor Burden calculation to determine the cost of the staff member in a given position if no Position/Wage detail exists to override the default cost.

NOTE: If a Position/Wage detail exists for a given position, the cost is calculated using the Position/Wage detail cost and not the Default Hourly Rate.

Notes: Notes that further describe or are relevant to the selected staff member. These notes show up as tips when you hover your mouse over an item in the List View or Explorer objects in the main Schedule Planner worksheet form.

To create a new staff member press the New button and enter the staff member information. When you are finished entering the new staff member information press the Save button to save the changes or the Cancel button to discard the changes.

To edit the information of an existing staff member, select the staff member to be edited in the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to be edited. Double-click on the item or press the Edit button to put the form in edit mode. Change the staff member information as required and press the Save button to save the changes or the Cancel button to discard the changes.

To delete a staff member from the system, select the staff member to be deleted in the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to be deleted. Press the Delete button. You will be prompted to confirm the deletion request.

Pressing the OK button confirms the deletion request and the deletes the staff member from the database. Pressing the Cancel button cancels the request and returns you to the Staff form.

If the staff member is in use in a schedule plan, the delete action is denied and you are warned with the following message …

Only staff members that are not in any schedule plans can be deleted. The alternative to deleting a staff member is to set their active switch to false (uncheck the Active check box). In this fashion the staff member cannot be used for any new schedule plans, as it will not be listed in the Staff list in the Schedule Plan worksheet.


View Schedule

Pressing the View Schedule button allows you to quickly view a calendar of the schedule plan assignments for the selected staff member. To view the schedule of a staff member, select the staff member from the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to be viewed. Press the View Schedule button. The Staff Schedule form is displayed showing the schedule plan assignments for the selected staff member for the current month. You change the calendar by changing the “From” and “To” dates in the form. As the dates change, the calendar is updated. The calendar can be printed at any time by pressing the Print button.

Pressing the Close button in the Staff Schedule closes the form and returns you to the Staff maintenance form.


Schedule Exceptions

Pressing the Schedule Exceptions button allows you to create and maintain schedule exceptions for the selected staff member. Schedule Exceptions allow you to enter dates and times the selected staff member is not available for assignment in a schedule plan. To create/edit/delete schedule exceptions for a staff member, select the staff member from the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to which the exception(s) are to be attached. Press the Schedule Exceptions button. The Schedule Exceptions form is displayed.

To create a new “schedule exception” press the New button and enter the schedule exception information. When you are finished entering the new schedule exception information press the Save button to save the changes or the Cancel button to discard the changes.

To edit the information of an existing schedule exception, select the schedule exception to be edited in the list by using the up and down arrow keys or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the schedule exception to be edited. Double-click on the item or press the Edit button to put the form in edit mode. Change the schedule exception information as required and press the Save button to save the changes or the Cancel button to discard the changes.

To delete a schedule exception from the system, select the schedule exception to be deleted in the list by using the up and down arrow keys or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the schedule exception to be deleted. Press the Delete button. You will be prompted to confirm the deletion request.

Pressing the OK button confirms the deletion request and the deletes the schedule exception from the database. Pressing the Cancel button cancels the request and returns you to the Schedule Exceptions form.

Pressing the Close button on the Schedule Exceptions form returns you to the Staff form.


Schedule Availability

Pressing the Schedule Availability button allows you to maintain the schedule availability for the selected staff member. Schedule Availability describes the times within a day of the week a staff member is available for work. To create/edit/delete schedule availability for a staff member, select the staff member from the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to which the availability is to be attached. Press the Schedule Availability button. The Schedule Availability form is displayed.

To identify the staff member is available is all day, simply click on the All Day button at the top of the appropriate day.

NOTE: If your organization requires a Position/Task be performed over midnight, the staff member must be available on both days at the appropriate times.

To create availability other than all day, click on a start time and hold the mouse button down, drag the mouse down the selected day until the availability end time is reached.

NOTE: The background of the selected area turns black to indicate it is selected.

Release the mouse button and a menu will appear …

Click on the Add Availability selection to add the availability.

Selecting Cancel from the menu cancels the activity.

To move an availability block, left mouse click and hold down on the side of the availability. The cursor will change to a plus sign with arrows …

Drag the cursor to the desired new position and release the left mouse button.

To change an availability time, click the left mouse button on the top or bottom of the availability. The cursor will change indicating it is ready to re-size the block …

Continuing to hold down the left mouse button move the mouse up or down the day to change the time.

When you have finished setting the staff member’s availability, press the Close button on the form to close it and return to the Staff form.

Pressing the Close button in the Staff form closes it and returns you to the main schedule planner worksheet form.

Schedule Plan worksheet.


Position/Wage

Selecting the Position/Wage option allows you to define the Default Hourly Rate overrides for the selected staff member for any or all Positions/Tasks. To maintain the Position/Wage details for a staff member, select the staff member from the list by using the up and down arrow keys, typing the last name of the staff member into the Find Staff member text box, or scrolling the list up or down using the scroll bar thumb at the right of the list and clicking on the staff member to be maintained. Press the Position/Wage button. The Position/Wage form is displayed showing a list of the Default Hourly Rate overrides for the selected staff member.

NOTE: If no Position/Wage details exist, the staff member’s cost is calculated using the Default Hourly Rate as defined in the Staff Member’s profile.

To add new Position/Wage details to the list press the Add button.

A new line is added to the list and a drop down list is presented from which to select the Position/Task the detail describes.

NOTE: The list of Position/Tasks is limited to those active Position/Tasks for which no detail already exists for the staff member.

Select the position/task by left mouse clicking or by using the Up and Down arrows and pressing the Enter key.

When a Position/Task has been selected, the focus moves to the Wage field.

Enter the hourly wage value and press the Save button to save the new record or the Cancel button to discard the new record.

To change the Wage value for an existing Position/Wage detail, click on the wage to be changed and enter the new value.

Pressing the Close button in the Position/Wage form closes the form and returns you to the Staff maintenance form.


Revenue Budget

The Revenue Budget form is used to Add, Edit, or Delete daily revenue projections. The revenue budget is used to calculate the labor burden reflected in the budget list in the list view object in the main schedule planning form, and the Staff Cost report.

The revenue budget form is designed to allow you to quickly capture/edit your budget. When the form first opens, the last record at the bottom of the list is selected. You have the option of editing the value, pressing the enter key to accept the value or selecting a different record in the list by pressing the up arrow or selecting the record with the mouse. When the enter key is pressed on the last record a new record is automatically appended to the bottom of the list, with the day incremented by one and the revenue set to the previous day’s revenue. You can accept the value by pressing the enter key or edit the value and then press the enter key.

NOTE: This behavior also applies when you are inserting records into the list where more than one date has been deleted.

You can also delete one or many records by highlighting them and pressing the Delete key or by pressing the delete button at the top left of the form.

Once a record other than the last record in the list has been selected you can add a new record to the bottom of the list by pressing the Add button.

You also have the option of inserting records anywhere in the list where the dates are not contiguous (i.e. where a series of dates have been deleted). To insert records into the list, select the highest record in the list where the dates are missing, i.e. in the example below the dates from August 26th to August 30th are missing. To insert the missing dates into the list, select the record for August 25th, not the record for August 31st and press the Insert button or press the Insert key on the keyboard.

NOTE: In order to insert records into the list you must select the record at the top of the missing range. If you select a record below the range or a record where none are missing, you will be notified that the insert will not be performed.

The newly inserted record is assigned the previous record’s date plus one and the revenue is set to the previous day’s revenue. If you continue to press the insert button the next date in line will be added to the list until all the missing dates are entered.

The “Go To” box at the top of the list allows you to quickly navigate to a date in the list. Enter a date or select a date from the drop-down calendar. You can also drag the thumb on the right of the list to scroll the list up and down.

When you are finished maintaining the Revenue Budget press the Close button to return to the main schedule planning form.


7 Day Schedule

The 7 Day Schedule Report is designed to provide a seven-day calendar view of all schedule plans with staff assigned within a 7-day time period as defined by a Schedule From date. For each staff member assigned in a schedule plan the information contained in this report includes by day; scheduled start time and end time, department, position/task, and number of hours. The report also gives a total for the staff member for the 7-day period, and a total for each day, and 7-day period, for the report.

You can display a different 7-day view by changing the “From Date” at the top of the form. You can also filter the schedule for one or all departments by selecting from the drop down list at the top of the form.

Pressing the Print Schedule button allows you to print out the 7 Day schedule on a selected printer. Pressing the Save as HTML button allows you to save the schedule as an html file. HTML files can be published on a web site or shared as attachments in an email.

NOTE: The Save as HTML functionality defaults the save directory to the HTML directory under the program’s installation. The file name of the html file is defaulted to “7DaySchedule” plus the start date of the schedule i.e. “081703” plus a description of the department filter, in this case ”All Departments” plus the .html extension. Therefore in the above example the file (by default) would be in the html directory below the installation directory of the application in a file called “7DaySchedule081703AllDepartments.html”.

Pressing the Close button closes the form and returns you to the main schedule planner worksheet form.


28 Day Schedule

The 28 Day Schedule Report is designed to provide a twenty-eight day calendar view of all schedule plans with staff assigned within a 28-day time period as defined by a Schedule From date. For each staff member assigned in a schedule plan the information contained in this report details by day the scheduled start time and end time of the staff member

You can display a different 28-day view by changing the “From Date” at the top of the form. You can also filter the schedule for one or all departments by selecting from the drop down list at the top of the form.

Pressing the Print Schedule button allows you to print out the 28 Day schedule on a selected printer. Pressing the Save as HTML button allows you to save the schedule as an html file. HTML files can be published on a web site or shared as attachments in an email.

NOTE: The Save as HTML functionality defaults the save directory to the HTML directory under the program’s installation. The file name of the html file is defaulted to “28DaySchedule” plus the start date of the schedule i.e. “081703” plus a description of the department filter, in this case ”All Departments” plus the .html extension. Therefore in the above example the file (by default) would be in the html directory below the installation directory of the application in a file called “28DaySchedule081703AllDepartments.html”.

Pressing the Close button closes the form and returns you to the main schedule planner worksheet form.


Print Staff Schedules

The Print Staff Schedules function is used to batch print staff schedules. You have the option of printing schedules for a user-defined period of time for one, a selected group, or all staff members. The Print Staff Schedules function uses all Schedule Plans that have an impact on the time period defined by the “Schedule from” and “To” dates at the top of the form.

When the form is first opened the “Schedule from” date defaults to the current date and the “To” date defaults to the current date plus the number of days defined in the System maintenance form as the Schedule Length under the New Schedule Plan Defaults section.

By default no Staff Members are selected for printing. To select staff members to print, click on the Selected box to the right of the name or press the Select All button above the list of names. Schedules will only be printed for those staff members whose Selected value is true.

NOTE: Pressing the Select None button unselects all the staff members in the list.

The Preview check box at top of the form allows you to preview a staff member’s schedule when the staff member is highlighted in the list.

Pressing the Print Schedules button at the bottom of the form sends the schedules for the selected staff members to a selected printer.

NOTE: Time Bar notes (entered in the Time Bar edit form) are displayed under the schedule item when printed in the Staff Member’s schedule.

Pressing the Close button at the top of the form closes the form and returns to the main schedule plan worksheet.


Email Staff Schedules

The Email Staff Schedules form allows you to email staff members their schedules for any given period of time. You have the option of emailing schedules for a user-defined period of time for one, a selected group, or all staff members. The Email Staff Schedules function uses all Schedule Plans that have an impact on the time period defined by the “Schedules from” and “To” dates at the top of the form.

When the form is first opened the “Schedules from” date defaults to the current date and the “To” date defaults to the current date plus the number of days defined in the System maintenance form as the Schedule Length under the New Schedule Plan Defaults section. The Email Subject Line is defaulted to the words “Schedule for” plus the “Schedules from” and “To” dates as defined at the top of the form. You can override this enter any text you like for the subject line.

By default no Staff Members are selected to receive their schedules by email. To select staff members click on the Send box to the right of the email address or press the Select All button to the right of the list. Only staff members whose Send check box is set to true will receive emails.

NOTE: Pressing the Select None button unselects all the staff members in the list.

NOTE: If a staff member has not been set up with an email address in the Staff Maintenance form they will not be eligible for selection in the list (their check box will be disabled).

The Email Staff Schedules function also has the ability to request a Read Receipt when the staff member opens the email. To activate the Request Read Receipt functionality, click on the Request Read Receipt check box at the top right of the form. All emails will be sent with a request for a read receipt.

The Email Staff Schedules function also has the ability to attach a file to the schedule email. This could be used to distribute other schedule or non-schedule information with the schedule email. To attach a file to the schedule emails enter the file name including the exact path to the file or press the Browse button to invoke the file browser.

Select the file to attach to the emails and press the Open button. You are returned to the Email Staff Schedules form and the name and path to the file are entered into the Attach File text box.

NOTE: Pressing the Cancel button cancels the browse action and returns to the Email Staff Schedules form without selecting a file.

When you have completed defining the parameters for emailing schedules, press the Send Schedules button to email the schedules. The Send Schedules function compiles the schedules into individual emails and sends the emails through your Internet Service Provider’s SMTP server as defined in the System maintenance form.

NOTE: If you have not set the “Mail Server Setup” values in the System maintenance form or if you have set them incorrectly you will receive errors when you press the Send Schedules button. For more information on setting the Mail Server information correctly, please see Maintenance – System.

Pressing the Close button at the top of the form closes the form and returns to the main schedule plan worksheet.


Exception Report

The Exception Report indicates those dates and times a staff member cannot be scheduled as the result of requested exceptions from the schedule. Examples of common occurrences that might be considered exceptions include vacation, personal days off, doctor appointments etc. Exceptions are entered by way of the Staff form found under Maintenance in the Main Menu or in the List View. The exception report is useful in determining what staff is not available for a given schedule period. If you attempt to schedule a staff member into a time slot that has been identified as an exception, a scheduling conflict message will appear.

To change the period for the report change the “From:” and/or “To:” dates at the top of the form. The report can also be filtered to report vacation requests only by toggling the Vacation Requests Only check box above the report.

Press the Print Report button to print the report to a selected printer.

Pressing the Close button returns you to the main schedule planning worksheet form.


Staff List

The Staff List report is provides a list of staff complete with contact information. You can elect to display all staff or only those that are marked as active.

The report can also be filtered to report Active Staff only by toggling the Show Active Staff Only check box above the report.

Press the Print Report button to print the report to a selected printer.

Pressing the Close button returns you to the main schedule planning worksheet form.


Staff Hours Report

The Staff Hours Report provides the total hours scheduled for each staff member who is scheduled in the selected time period. The report also totals the hours for all staff members over that same period.

To change the period for the report change the “From:” and/or “To:” dates at the top of the form. The report can also be filtered to Show or Hide the detail for each staff member by toggling the Show Staff Detail check box above the report. The report can also provide a subtotal for each day in the report by toggling the Subtotal By Day check box. The report can also provide a subtotal for each department in the report by toggling the Subtotal By Department check box.

The drop down department list can be used to filter the report for one, a combination of selected, or all departments. Click the check box beside a department to indicate you want it included in the filter selection.

Press the Print Report button to print the report to a selected printer.

Tip: To check for potential overtime scheduling, select an appropriate date range, i.e. one week, and show Staff Detail without Subtotal by Day or by Department. This will show the total numbers of hours the staff members are scheduled to work in the one week time period.

Pressing the Close button returns you to the main schedule planning worksheet form.


Position/Task Hours Report

The Position/Task Hours Report provides the total hours scheduled for each position/task that is scheduled in the selected time period. The report also totals the hours for all positions/tasks over that same period.

To change the period for the report change the “From:” and/or “To:” dates at the top of the form. The report can also be filtered to Show or Hide the detail for each position/task by toggling the Show Position Detail check box above the report. The report can also provide a subtotal for each day in the report by toggling the Subtotal By Day check box. The report can also provide a subtotal for each department in the report by toggling the Subtotal By Department check box.

The drop down department list can be used to filter the report for one, a combination of selected, or all departments. Click the check box beside a department to indicate you want it included in the filter selection.

Press the Print Report button to print the report to a selected printer.

Pressing the Close button returns you to the main schedule planning worksheet form.


Staff Cost Report

The Staff Cost Report provides the total cost of time scheduled for each staff member who is scheduled in the selected time period. The report also totals the cost for all staff members over that same period. For each day in the report, and the report in total the labor burden is reported as the percentage of the revenue budget (for the day and in total for all days in the report) along with the revenue budget.

NOTE: If you choose to subtotal by department the labor burden is not reported.

NOTE: The cost is calculated as the number of hours scheduled multiplied by the cost per hour as captured in the staff member’s profile or their Position/Wage details in the Staff maintenance form. For more information on the staff cost, please see Maintenance-Staff.

To change the period for the report change the “From:” and/or “To:” dates at the top of the form. The report can also be filtered to Show or Hide the detail for each staff member by toggling the Show Staff Detail check box above the report. The report can also provide a subtotal for each day in the report by toggling the Subtotal By Day check box. The report can also provide a subtotal for each department in the report by toggling the Subtotal By Department check box.

The report will also provide a labor burden calculation where possible. When a report is produced sub-totaled by day, the report shows a labor burden calculation for the day …

The drop down department list can be used to filter the report for one, a combination of selected, or all departments. Click the check box beside a department to indicate you want it included in the filter selection.

Tip: When department is used to break down the report, the summary line for the department will show the cost as a percentage of the revenue budget when the report is sub-totaled by day. This is an excellent way to monitor the labor cost of an individual department against the budgeted revenue.

Press the Print Report button to print the report to a selected printer.

Pressing the Close button returns you to the main schedule planning worksheet form.


Help

The Help menu allows you to invoke the DBI Staff Scheduler online help in one of three different modes and optionally display an “About” form that describes the version and licensing information of the application running on your computer. Each of the help selections (other than the About) invokes the help engine with the appropriate tab selected (Contents, Index, or Search).

Contents: Displays the html help interface with the Staff Scheduler help file loaded presenting the Table Of Contents. To view an item listed in the table of contents simply click on the desired item.

Index: Displays the html help interface with the Staff Scheduler help file loaded presenting the Index. To view an item listed in the index click on it.

Search: Displays the html help interface with the Staff Scheduler help file loaded presenting the Search interface. To search for a word or phrase in the help file, enter the search criteria in the keyword text box and press the List Topics button. The search interface will present a list of topics related to your search criteria. Select one of the topics by clicking on it.

About DBI Staff Scheduler: Provides a description of the version and licensing information of your installation of the DBI Staff Scheduler application.


dbi Staff Scheduler Licensing

The License Activation form is used to Unlock, Transfer, or Remove the dbi Staff Scheduler Software application.

NOTE: This form is only displayed during the evaluation period, or if you toggle the Scroll Lock on your computer keyboard before executing the application after it has been licensed.

This form provides the interface by which you can unlock (license) the application, transfer the license to a different computer, or remove the license from a computer for the staff scheduler software.

Actions

Cancel: Closes the staff scheduler application without starting up the main form.

Continue: Executes the command selected in the radio button … Enter Application, Unlock Application, Transfer license, Remove license.

Fields

MID: Machine ID Code. Automatically generated, unique to each computer. Required to unlock the staff scheduler software.

Site Code: Automatically generated, also unique to each computer. Required to unlock the staff scheduler software.

Days Left: Indicates remaining time left for evaluation of staff scheduler. Maximum duration 30 days.

Enter Application: Allows entry into application.

Unlock Application: Select Unlock Application to permanently license staff scheduler after purchase and receipt of Init Code (please see below).

Transfer License: Used to transfer the license from one computer to another computer (please see below).

Remove License: Used to remove the license from a licensed computer (please see below).

Init Code: Initialisation Code. Required to unlock (license) the application. Code is provided by DBI after purchasing staff scheduler. Enter code here to unlock the software (please see below).

New Site Code: Required when software is being moved to another computer. Automatically generated by staff scheduler when the software is run on a new computer.

Application Status: Indicates if the staff scheduler application is in evaluation mode or licensed mode.

When you first run the DBI Staff Scheduler application after installing it, the License Activation form is presented. While in Evaluation mode this screen will always be displayed when the application is first started. Once unlocked (licensed), the form will only be displayed when the scroll lock key on your keyboard is toggled on.


Unlock (License)

To purchase Staff Scheduler and obtain a valid Init Code to unlock (license) the application, follow these easy steps:

Step 1: Go to the DBI Staff Scheduler Website, www.staff-scheduler.com. Click on the “Purchase Staff Scheduler” link in the menu.

Step 2: Enter your MID and Site Code into the Purchase DBI Staff Scheduler web form. You can copy (using the CTRL – C command) and paste (using the CTRL-V command) the MID and Site Code values from the License Activation Form or you can enter the codes manually.

Step 3: Enter your payment information

Step 4: Submit the purchase request. DBI will send you a valid Initialization Code by email or fax, whichever you prefer.

Step 5: When you receive the Initialization code, enter it into the Init Code field beside the Unlock application radio button.

IMPORTANT: Please make a hard copy backup of the Init code (in a text file or hand written document) for your records. The Init code is used to transfer the license to a new computer from a licensed computer or to remove a license.

Step 6: Click on the Unlock application radio button and press the Continue>> button.

The application is now unlocked (licensed).

NOTE: Once unlocked, the License Activation form is not shown when starting the Staff Scheduler software. To show the License Activation form after the software has been unlocked, press the scroll lock (Scroll Lk) button on the keyboard before running the application.


Transfer License

The transfer license action is used to transfer a dbi Staff Scheduler license from one computer to another computer. To transfer the dbi Staff Scheduler application license follow these steps …

Step 1: Install and run a copy of the dbi Staff Scheduler application on the new (target) computer (B) to which the application is to be transferred.

NOTE: The License Activation form on the target computer (B) will display a "Site code B" which is different from the Site Code on the original computer (A). The target computer will require an Init Code to unlock the application.

Step 2: Run the unlocked application on the original computer (A).

NOTE: Please be sure to press the Scroll Lock key on the keyboard before starting the application on the original computer (A) in order to bring up the License Activation form.

Step 3: In the License Activation form on the original computer (A), set the "Init code" field to the previously issued "Init code A" (the Init Code which was sent to you at the time the software was purchased or last used to transfer the application to computer A), and set the "New Site code" field to the "Site code B" value from the computer to which the license is being transferred (computer B). Press the Continue >> button.

Step 4: The License Activation form displays a warning …

Step 4: Press the Yes button to proceed with the License transfer. A dialog box with the new Init Code for computer B is displayed.

IMPORTANT: Do not press the OK button until you have copied the new Init Code and made a backup of it somewhere (in a text file or hand written document). Before pressing the OK button, make sure the new Init Code is entered into the Init Code field in the License Activation form on the new computer B and that it unlocks the application correctly on the new computer.

Enter the new Init code in the License Activation form and use it to “Unlock” the application on the new computer (B). The license has been removed from computer A and transferred to computer B.

NOTE: The license transfer process will not delete or un-install the dbi Staff Scheduler application from the original computer. The application reverts to locked mode. After a successful license transfer, the dbi Staff Scheduler application on the original computer (A) will generate a different Site code. A new, different Init code will be required unlock the Staff Scheduler software on the original computer (A).

Please be sure to keep a hard copy of the new Init code to allow for future transfers of the application license.


Remove License

The remove license action is used to remove a dbi Staff Scheduler license from a licensed computer when applying for a refund. To remove a dbi Staff Scheduler application license follow these steps …

Step 1: Run the unlocked application on the licensed computer.

NOTE: Please be sure to press the Scroll Lock key on the keyboard before starting the application on the licensed computer in order to bring up the License Activation form.

Step 2: Enter the Init code (used at the time the application was originally unlocked) and click on the Remove License radio button.

Step 3: Click the Continue>> button to remove the license from the computer. You will be warned the license for the application will be permanently removed from the computer. Press the Yes button to remove the license.

Step 4: A dialog containing a Remove Code is displayed.

IMPORTANT: Do not press the OK button until you have accurately copied the Remove Code and made a backup of it somewhere (in a text file or hand written document). Before pressing the OK button, make sure the Remove code is safely and accurately recorded. The Remove code is required to receive a refund for your license.

NOTE: The remove license process will not delete or un-install the dbi Staff Scheduler application from the original computer. The application reverts to locked mode. After a successful license removal, the dbi Staff Scheduler application on the computer will generate a different Site code. A new, different Init code will be required unlock the Staff Scheduler software on the computer.


Reports and Schedules


usersguidev25

User Guide

Please Note

DBI reserves the right to change any and all Information contained within this guide and all associated web site references, without notice. The examples contained herein are meant to be fictitious. Any reference to actual people, company, organizations or products is coincidental and is not intended.

The user of this product assumes the obligations of use under existing copyright laws. The information contained within this document is the sole property of DBI and reproduction or distribution of any kind is strictly forbidden without the written consent of DBI Technologies Inc.

DBI reserves the right to modify, upgrade, correct our software programs and publications without notice and assumes no liability in that event.

2004 DBI Technologies Inc.

Published by DBI Technologies Inc.
702-44 Princess Street
Winnipeg, Manitoba, Canada
R3B 1K2

Sales phone: 1.800.670.8045

Sales email: Sales@dbi-tech.com

Support email: Support@dbi-tech.com

Web: http://www.dbi-tech.com

http://www.staff-scheduler.com

Copyright © DBI Technologies Inc. All rights reserved.

Documentation produced January 2004.

Table ofContents

Welcome. 1

A Staff Scheduler Primer 2

Schedule Plan. 2

Labor Cost Management (Labor Burden) 2

Scheduling by Staff or Position. 3

Scheduling Conflicts. 4

Drag and Drop. 6

Adding Departments to a Schedule Plan. 6

Schedule By Position. 9

Adding Positions/Tasks to a Schedule Plan – Schedule By Position. 9

Adding Staff to a Schedule Plan– Schedule By Position. 13

Schedule By Staff 17

Adding Staff Members to a Schedule Plan – Schedule By Staff 17

Adding Positions/Tasks to a Schedule Plan– Schedule By Staff 20

Time Bars. 24

Creating Time Bars. 24

Moving a time bar 25

Resizing a time bar 27

Deleting a time bar 29

Editing Time Bars. 30

Copy Schedule Feature. 32

Navigating dbi Staff Scheduler 40

Main Menu. 42

Scheduler Bar 45

Explorer 47

List View.. 49

Schedule Planner 52

Planner View Menu. 55

Schedule Plans. 56

View Plan. 61

Maintenance. 62

System.. 63

Database Connections. 66

Departments. 67

Positions/Tasks. 70

View Schedule. 73

Staff 73

View Schedule. 78

Schedule Exceptions. 79

Schedule Availability. 80

Position/Wage. 85

Revenue Budget 87

Reports and Schedules. 92

7 Day Schedule. 92

28 Day Schedule. 93

Print Staff Schedules. 94

Email Staff Schedules. 97

Exception Report 101

Staff List 101

Staff Hours Report 102

Position/Task Hours Report 104

Staff Cost Report 105

Help. 107

dbi Staff Scheduler Licensing. 108

Unlock (License) 110

Transfer License. 111

Remove License. 113